
<div  >
  <div>

    <ng-multiselect-dropdown
            [placeholder]="'Select Vehicle'"
            [data]="vechicleDropdownList"
            [(ngModel)]="selectedItems"
            [settings]="vechicledropdownSettings"
            (onSelect)="onItemSelect($event)"
            (onSelectAll)="onSelectAll($event)"
            (onDeSelect)="onItemDeSelect($event)"
    >
    </ng-multiselect-dropdown>

{{formConfigData|json}}
    <div class="row">
      <div class="form-group py-2 col-sm-12 col-md-4 col-lg-4 .col-xl-4" style="float: left"  *ngFor="let field of formConfigData">

        <div>
          <div *ngIf=" field.field==='corporateContract' ">
            <div class="text-capitalize">{{field.label}}</div>
            <select (change)="showCorporateContractType(value)" [(ngModel)]="corporateContractType" id="corporateContract" class="form-control">
              <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
            </select>
          </div>

          <div *ngIf=" field.fieldDisplayType==='number' ">
            <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
            <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                   [(ngModel)]="formConfigData[field.field]" required>
          </div>

          <div *ngIf=" field.fieldDisplayType==='password' ">
            <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
            <input type="password" class="form-control" placeholder={{field.description}} name=field.label
                   [(ngModel)]="formConfigData[field.field]" required>
          </div>

          <div *ngIf="field.required  && field.fieldDisplayType==='text' ">
            <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
            <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                   [(ngModel)]="formConfigData[field.field]" required>
          </div>
          <div *ngIf="!field.required  && field.fieldDisplayType==='text'">
            <label class="text-capitalize">{{field.label}}</label>
            <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                   [(ngModel)]="formConfigData[field.field]">
          </div>
        </div>
        <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
          <div class="text-capitalize">{{field.label}}</div>
          <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
            <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
          </select>
        </div>

        <div *ngIf="field.fieldDisplayType==='textarea' ">
          <div class="form-group">
            <label class="text-capitalize">{{field.label}}</label>
            <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
          </div>
        </div>

        <div *ngIf="field.fieldDisplayType==='date'">
          <label class="text-capitalize fontMedium">{{field.label}}</label>



          <form class="form-inline">
            <div class="form-group">
              <div class="input-group">
                <input class="form-control" placeholder="yyyy-mm-dd"
                       [minDate]="minDate" [maxDate]="maxDate" name="dp" [(ngModel)]="formConfigData[field.field]" ngbDatepicker #d="ngbDatepicker">
                <div class="input-group-append">
                  <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                         aria-hidden="true"></i>
                  </button>
                </div>
              </div>
            </div>
          </form>

        </div>

      </div>
    </div>

    <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6">
      <div >
        <div class="text-capitalize">Shift Type</div>
        <select  [(ngModel)]="selectedShiftType"  class="form-control">
          <option  *ngFor="let value of shiftTypesDropDown">{{value.ShiftTypeName}}</option>
        </select>
      </div>

      <div >
        <!-- {{vechicleTypesDropDown|json}}-->
        <div class="text-capitalize">Mode</div>
        <select  [(ngModel)]="vechicleShiftType"  class="form-control">
          <option  *ngFor="let value of vechicleTypesDropDown">{{value.vehicleTypeName}}</option>
        </select>
      </div>
    </div>

  </div>

  <div>
    <button class='btn btn-primary' id="modal-close" data-dismiss="modal"  (click)="submitTransactionData()">Submit</button>
    <button class='btn btn-warning' id="modal-close" data-dismiss="modal"><span
            aria-hidden="true">Close</span></button>

  </div>


</div>









